<template>
    <div>
        <button @click="changeDisplayStyleShow()" type="button" class="btn btn-primary m-4">Unterrichtstag
            hinzufügen</button>
        <div id="notShown" ref="notShown">
            <div class="container">
                <div class="form-group">
                    <b-form @submit="postUnterrichtsTag" method="post">
                        <label for="">Wochentag wählen</label>
                        <select class="form-control form-select-lg mb-3" name="Wochentag" id=""
                            v-model="unterrichtsTag.tageEnums">
                            <option value="MONTAG">Montag</option>
                            <option value="DIENSTAG">Dienstag</option>
                            <option value="MITTWOCH">Mittwoch</option>
                            <option value="DONNERSTAG">Donnerstag</option>
                            <option value="FREITAG">Freitag</option>
                        </select>
                        <label for="">Fach wählen</label>
                        <select class="form-control form-select-lg mb-3" name="TrainerAnstellung" id=""
                            v-model="unterrichtsTag.fachId">
                            <option v-for="fach in alleFaecher" :key='fach.id' :value="fach.id">{{ fach.fachUnterricht }},
                                {{ fach.fachBezeichnung }}</option>
                        </select>
                        <label for="">Gruppe wählen</label>
                        <select class="form-control form-select-lg mb-3" name="TrainerAnstellung" id=""
                            v-model="unterrichtsTag.gruppeId">
                            <option v-for="(gruppe, id) in alleGruppen" :key='id' :value="gruppe.id">
                                {{ gruppe.artDerAusbildung }}{{ gruppe.gruppenNummer }}</option>
                        </select>
                        <label for="">Trainer wählen</label>
                        <select class="form-control form-select-lg mb-3" name="TrainerAnstellung" id=""
                            v-model="unterrichtsTag.trainerId">
                            <option v-for="(trainer, id) in alleTrainer" :key='id' :value="trainer.id">{{ trainer.name }} | {{ trainer.fachEnums }}
                            </option>
                        </select>
                        <button type="submit" class="btn container-fluid btn-info"
                            @click="changeDisplayStyleHide()">Hinzufügen</button>
                    </b-form>
                </div>
            </div>
        </div>
    </div>
</template>

<script>

export default {
    name: 'UnterrichtsTagPost',
    components: {

    },
    data() {
        return {
            unterrichtsTag: {
                tageEnums: null,
                trainerId: null,
                fachId: null,
                gruppeId: null,
            }
        }
    },

    computed: {
        alleFaecher() {
            return this.$store.state.alleFaecher
        },

        alleTrainer() {
            return this.$store.state.alleTrainer;
        },

        alleGruppen() {
            return this.$store.state.alleGruppen;
        },

    },

    mounted() {
        this.$store.dispatch("getAlleTrainer");
        this.$store.dispatch("getAlleFaecher");
        this.$store.dispatch("getAlleGruppen");
    },

    methods: {
        postUnterrichtsTag(e) {
            console.log(this.unterrichtsTag)
            const response = this.$store.dispatch('postUnterrichtsTag', this.unterrichtsTag)
                .then((result) => {
                    console.log(result)
                    console.log(response)
                })
            e.preventDefault()

        },
        changeDisplayStyleShow: function () {
            this.$refs.notShown.style.display = "block";
        },
        changeDisplayStyleHide: function () {
            this.$refs.notShown.style.display = "none";
        }
    }
}
</script>

<style>
#notShown {
    display: none;
}
</style>